<?xml version="1.0"?>
<!--
/**
 * @author Amasty Team
 * @copyright Copyright (c) 2021 Amasty (https://www.amasty.com)
 * @package Amasty_Preorder
 */
-->
<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">
    <body>
        <referenceContainer name="product.info.main">
            <block class="Magento\Framework\View\Element\Template"
                   name="product.preorder"
                   template="Amasty_Preorder::product/view/preorder/grouped.phtml"
                   ifconfig="ampreorder/functional/enabled"
                   after="-">
                <arguments>
                    <argument name="preorder_view_model" xsi:type="object">Amasty\Preorder\ViewModel\Product\View\Preorder</argument>
                    <argument name="preorder_grouped_view_model" xsi:type="object">Amasty\Preorder\ViewModel\Product\View\PreorderGrouped</argument>
                </arguments>
            </block>
        </referenceContainer>
    </body>
</page>
